Read only archive ; use https://github.com/JacORB/JacORB/issues for new issues
Bug 1038 - java_cup 0.11b ?
Summary: java_cup 0.11b ?
Status: NEW
Alias: None
Product: JacORB
Classification: Unclassified
Component: IDL compiler (show other bugs)
Version: 3.7
Hardware: PC Linux
: P5 enhancement
Assignee: Mailinglist to track bugs
URL:
Depends on:
Blocks:
 
Reported: 2016-09-03 16:35 CEST by gil
Modified: 2016-09-05 05:46 CEST (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gil 2016-09-03 16:35:55 CEST
hi
any plans for upgrade java_cup to 0.11b ?

our [1] java_cup [2] library (0.11b)
generated wrong entries in the java code, e.g.
import org.jacorb.idl.runtime.XMLElement;

thanks in advance
regards

[1] https://fedoraproject.org/wiki/Fedora_Project_Wiki
[2] http://www2.cs.tum.edu/projects/cup/
Comment 1 Nick Cross 2016-09-05 05:46:06 CEST
I believe 0.9->0.10 (and from there to 0.11) the changes were not backwards compatible. However, if you could add a pull request we'd be happy to take a look.

Thanks